Summary:        A Perl interface to the World-Wide Web
Name:           perl-libwww-perl
Version:        6.67
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/libwww-perl
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/libwww-perl-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  coreutils, findutils
BuildRequires:  make, perl-generators, perl-interpreter, perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.120620, perl(:VERSION) >= 5.8.1
BuildRequires:  perl(File::Copy), perl(File::Spec), perl(File::Temp), perl(parent) >= 0.217
BuildRequires:  perl(Getopt::Long), perl(Digest::MD5), perl(Encode) >= 2.12, perl(Encode::Locale)
BuildRequires:  perl(Module::Metadata), perl(LWP::MediaTypes) >= 6
BuildRequires:  perl(strict), perl(warnings), perl(Carp), perl(Exporter), perl(Try::Tiny)
BuildRequires:  perl(HTML::Entities), perl(HTML::HeadParser)
BuildRequires:  perl(HTTP::Config), perl(HTTP::Cookies) >= 6, perl(HTTP::Date) >= 6, perl(HTTP::Headers::Util)
BuildRequires:  perl(HTTP::Request) >= 6, perl(HTTP::Request::Common) >= 6, perl(HTTP::Response) >= 6
BuildRequires:  perl(HTTP::Status) >= 6.07, perl(HTTP::Daemon) >= 6.01, perl(WWW::RobotRules) >= 6, perl(Net::HTTP) >= 6.18
BuildRequires:  perl(Test::Fatal), perl(Test::More) >= 0.96, perl(Test::RequiresInternet)
BuildRequires:  perl(Config), perl(FindBin), perl(Scalar::Util), perl(utf8)
BuildRequires:  perl(IO::Select), perl(IO::Socket)
BuildRequires:  perl(URI) >= 1.10, perl(URI::Escape)
BuildRequires:  perl(MIME::Base64) >= 2.1
BuildConflicts: perl(HTTP::Status) = 6.17

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Authen::NTLM) >= 1.02
Requires:       perl(File::Spec), perl(File::Listing) >= 6
Requires:       perl(HTML::Entities), perl(HTML::HeadParser), perl(HTTP::Config)
Requires:       perl(HTTP::Cookies) >= 6, perl(HTTP::Date) >= 6, perl(HTTP::Headers::Util)
Requires:       perl(HTTP::Negotiate) >= 6, perl(HTTP::Request) >= 6, perl(HTTP::Request::Common) >= 6
Requires:       perl(HTTP::Response) >= 6, perl(HTTP::Status) >= 6.07, perl(WWW::RobotRules) >= 6
Requires:       perl(MIME::Base64) >= 2.1, perl(Encode) >= 2.12, perl(LWP::MediaTypes) >= 6
Requires:       perl(Net::FTP) >= 2.58, perl(Net::HTTP) >= 6.18, perl(URI) >= 1.10, perl(URI::Escape)
Suggests:       perl(HTML::FormatPS), perl(HTML::FormatText), perl(HTML::Parse)
Suggests:       perl(LWP::Protocol::https) >= 6.02, perl(CPAN::Config)
Provides:       perl(LWP::Debug::TraceHTTP::Socket) = %{version}
Provides:       perl(LWP::Protocol::http::Socket) = %{version}
Provides:       perl(LWP::Protocol::http::SocketMethods) = %{version}

%description
The libwww-perl collection is a set of Perl modules which provides a simple
and consistent application programming interface to the World-Wide Web.
The main focus of the library is to provide classes and functions that allow
you to write WWW clients. The library also contain modules that are of more
general use and even classes that help you implement simple HTTP servers.


%prep
%setup -q -n libwww-perl-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 --aliases
%make_build


%install
%{make_install}
%{_fixperms} %{buildroot}/*


%check
make test


%files
%license LICENSE
%doc Changes examples README.SSL
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.67-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 6.67-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 3 2022 cunshunxia <cunshunxia@tencent.com> - 6.67-1
- initial build
